SCHED_YIELD(2)

NAME
sched_yield - yield processor

LIBRARY
libc

SYNOPSIS
#include <sched.h>
int
sched_yield(void);

DESCRIPTION
The sched_yield() function forces the running process to relinquish the processor until it again becomes the head of its process list. It takes no arguments.

RETURN
The sched_yield() function will return zero if it completes successfully, or it will return a value of -1 and set errno to indicate the error.

ERRORS
On failure errno will be set to the corresponding value:

[ENOSYS]
    The system is not configured to support this functionality.

STANDARDS
The sched_yield() function conforms to p1003.1b-93.